<html>
<head>
<title>TestNG:  Default test</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>Default test</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>9/0/0</td>
</tr><tr>
<td>Started on:</td><td>Mon Sep 25 18:56:56 NPT 2023</td>
</tr>
<tr><td>Total time:</td><td>58 seconds (58767 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td><b>Attribute(s)</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='User_Registration.Registration_feature.testSignUpWithEmptyFields()'><b>testSignUpWithEmptyFields</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>2</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='Add_To_Cart.Add_To_Cart.testAddToCartSingleProduct_SingleQuantity()'><b>testAddToCartSingleProduct_SingleQuantity</b><br>Test class: Add_To_Cart.Add_To_Cart</td>
<td></td>
<td>4</td>
<td>Add_To_Cart.Add_To_Cart@662ac478</td></tr>
<tr>
<td title='User_Registration.Registration_feature.testSignUpWithInvalidFullname()'><b>testSignUpWithInvalidFullname</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>3</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='User_Registration.Registration_feature.testSignUpWithInvalidVerificationCode()'><b>testSignUpWithInvalidVerificationCode</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>3</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='Add_To_Cart.Add_To_Cart.testAddToCartSingleProduct_AlreadyAdded()'><b>testAddToCartSingleProduct_AlreadyAdded</b><br>Test class: Add_To_Cart.Add_To_Cart</td>
<td></td>
<td>5</td>
<td>Add_To_Cart.Add_To_Cart@662ac478</td></tr>
<tr>
<td title='User_Registration.Registration_feature.testSignUpWithInvalidFullname1()'><b>testSignUpWithInvalidFullname1</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>10</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='User_Registration.Registration_feature.testInvalidPhoneNumber()'><b>testInvalidPhoneNumber</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>6</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='User_Registration.Registration_feature.testSignUpWithInvalidPassword()'><b>testSignUpWithInvalidPassword</b><br>Test class: User_Registration.Registration_feature</td>
<td></td>
<td>3</td>
<td>User_Registration.Registration_feature@5aa9e4eb</td></tr>
<tr>
<td title='Add_To_Cart.Add_To_Cart.testAddToCartSingleProduct_MultipleQuantities()'><b>testAddToCartSingleProduct_MultipleQuantities</b><br>Test class: Add_To_Cart.Add_To_Cart</td>
<td></td>
<td>4</td>
<td>Add_To_Cart.Add_To_Cart@662ac478</td></tr>
</table><p>
</body>
</html>